View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0012944CMakeModulespublic2012-02-07 20:362016-06-10 14:31
Reporterstarseeker 
Assigned ToKitware Robot 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionmoved 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0012944: Feature enabling the CheckC*.cmake macros to use a path to source code as well as supplied source code
DescriptionWe often have our own .c file stored in our tree for TRY_RUN testing,
and it is convenient to be able to use CHECK_C_RUNS_SOURCE for testing
those .c files. At the moment, CHECK_C_RUNS_SOURCE assumes the
incoming SOURCE variable actually holds the source code - our
enhancement checks to see if SOURCE holds a valid file path first. If
it DOES hold a valid file path, TRY_RUN then trys that .c file,
otherwise the existing CHECK_C_RUNS_SOURCE is preserved. I don't know
of any sane pathname that would be valid C code or vice versa, so
there should be no danger of passing in a C source snippit and having
it mistaken for a file path.
Additional Informationhttp://www.cmake.org/pipermail/cmake/2012-January/048921.html [^]
TagsNo tags attached.
Attached Filespatch file icon 0001-Teach-CheckC.-modules-to-use-a-source-file-as-well-a.patch [^] (7,005 bytes) 2012-02-07 20:36 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0028523)
starseeker (reporter)
2012-02-08 08:36

Reading the initial description, I realize I mangled the name - it's of course CHECK_C_SOURCE_RUNS, not CHECK_C_RUNS_SOURCE. Also should probably stress that the attached patch doesn't add the described feature just for CHECK_C_SOURCE_RUNS, but also for CHECK_CXX_SOURCE_RUNS, CHECK_C_SOURCE_COMPILES, and CHECK_CXX_SOURCE_COMPILES. CHECK_C_SOURCE_RUNS was the first place we needed the feature, but it applies equally well in the other three cases both from the standpoint of functionality and preserving command-behavior uniformity among the various CHECK_C* macros.
(0030360)
David Cole (manager)
2012-08-11 21:09

Sending old, never assigned issues to the backlog.

(The age of the bug, plus the fact that it's never been assigned to anyone means that nobody is actively working on it...)

If an issue you care about is sent to the backlog when you feel it should have been addressed in a different manner, please bring it up on the CMake mailing list for discussion. Sign up for the mailing list here, if you're not already on it: http://www.cmake.org/mailman/listinfo/cmake [^]

It's easy to re-activate a bug here if you can find a CMake developer who has the bandwidth to take it on, and ferry a fix through to our 'next' branch for dashboard testing.
(0041981)
Kitware Robot (administrator)
2016-06-10 14:28

Resolving issue as `moved`.

This issue tracker is no longer used. Further discussion of this issue may take place in the current CMake Issues page linked in the banner at the top of this page.

- Issue History
Date Modified Username Field Change
2012-02-07 20:36 starseeker New Issue
2012-02-07 20:36 starseeker File Added: 0001-Teach-CheckC.-modules-to-use-a-source-file-as-well-a.patch
2012-02-08 08:36 starseeker Note Added: 0028523
2012-08-11 21:09 David Cole Status new => backlog
2012-08-11 21:09 David Cole Note Added: 0030360
2016-06-10 14:28 Kitware Robot Note Added: 0041981
2016-06-10 14:28 Kitware Robot Status backlog => resolved
2016-06-10 14:28 Kitware Robot Resolution open => moved
2016-06-10 14:28 Kitware Robot Assigned To => Kitware Robot
2016-06-10 14:31 Kitware Robot Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker